# Variography.jl

[![][build-img]][build-url] [![][codecov-img]][codecov-url]

This package provides variogram models and tools for estimating empirical variograms
from data. Variograms are extensively used in Kriging estimation, sequential Gaussian
simulation, and many other geostatistical algorithms.

## Installation

Get the latest stable release with Julia's package manager:

```julia
] add Variography
```

## Usage

This package is part of the [GeoStats.jl](https://github.com/JuliaEarth/GeoStats.jl) framework.

For examples of usage, please check the main documentation.

## Asking for help

If you have any questions, please contact our community on the [gitter channel](https://gitter.im/JuliaEarth/GeoStats.jl).

[build-img]: https://img.shields.io/github/workflow/status/JuliaEarth/Variography.jl/CI?style=flat-square
[build-url]: https://github.com/JuliaEarth/Variography.jl/actions

[codecov-img]: https://codecov.io/gh/JuliaEarth/Variography.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/JuliaEarth/Variography.jl
